---
kind: pipeline
type: docker
name: deploy-production

steps:
  - name: build-site
    image: node:16
    commands:
      - npm install
      - npm run build

  - name: deploy
    image: mwienk/docker-lftp
    environment:
      USERNAME: pettinattk
      PASSWORD:
        from_secret: password
      HOST: ftp.cluster027.hosting.ovh.net
    commands:
      - lftp -c "open -u $USERNAME,$PASSWORD $HOST; mirror -Rnev ./build ./www --ignore-time --parallel=10 --exclude .htaccess --exclude-glob .git* --exclude .git/"

trigger:
  branch:
    - main
---
kind: pipeline
type: docker
name: deploy-develop

steps:
  - name: build-site
    image: node:16
    commands:
      - npm install
      - npm run build

  - name: deploy
    image: ictu/sshpass
    environment:
      SSHPASS:
        from_secret: ssh_key
    commands:
      - sshpass -e rsync -arP -e "ssh -p 69 -o StrictHostKeyChecking=no" ./build/ root@192.168.178.25:/mnt/user/appdata/binhex-nginx/nginx/html/

trigger:
  branch:
    - develop
